# Generated from rack-read_only-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack-read_only

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Allows Rack based APIs to be set to read only
License: MIT
URL: https://github.com/jellybob/rack-read_only
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sinatra) >= 1
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
# Rack::ReadOnly
This gem allows Rack based APIs to be set to read only. At the most basic
it can be used like this from your `config.ru`:
```ruby
require 'rack/read_only'
use Rack::ReadOnly, {
active: ENV["READ_ONLY"] == "1",
response_body: '{ "error": "This API is currently in read only mode." }'
}
run MyApp
```
When in read only mode the API will continue to respond to GET, HEAD, and
OPTIONS requests as normal, but reject POST, PUT, DELETE, and PATCH requests
with the body specified, and a 503 error code.
## Installation
Add this line to your application's Gemfile:
```ruby
gem 'rack-read_only'
```
And then execute:
$ bundle
Or install it yourself as:
$ gem install rack-read_only
## Development
After checking out the repo, run `bin/setup` to install dependencies.
To install this gem onto your local machine, run `bundle exec rake install`.
To release a new version, update the version number in `version.rb`, and then
run `bundle exec rake release` to create a git tag for the version, push git
commits and tags, and push the `.gem` file to
[rubygems.org](https://rubygems.org).
## Contributing
1. Fork it ( https://github.com/jellybob/rack-read_only/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
Any new builds should pass the tests on
[Travis](https://travis-ci.org/jellybob/rack-read_only).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rack-read_only.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.0-1
- Initial package
